package com.bonus.core.device.manage.controller.deprecated.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.bonus.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModelProperty;

public class QueryMacBuffetVO {
   @TableId
   @ApiModelProperty("id主键")
   private Long id;
   @ApiModelProperty("设备id")
   private Long machineId;
   @ApiModelProperty("店铺档口id")
   private Long shopstallId;
   @ApiModelProperty("档口名称")
   private String stname;
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   @ApiModelProperty("菜谱名称")
   private String recipeName;
   private Integer ifUsePrint;
   @ApiModelProperty("档口图片地址")
   private String imgUrl;

   public String getImgUrl() {
      return SysUtil.getCutFileUrl(this.imgUrl);
   }

   public Long getId() {
      return this.id;
   }

   public Long getMachineId() {
      return this.machineId;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public String getStname() {
      return this.stname;
   }

   public Long getRecipeId() {
      return this.recipeId;
   }

   public String getRecipeName() {
      return this.recipeName;
   }

   public Integer getIfUsePrint() {
      return this.ifUsePrint;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setMachineId(final Long machineId) {
      this.machineId = machineId;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setStname(final String stname) {
      this.stname = stname;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setRecipeName(final String recipeName) {
      this.recipeName = recipeName;
   }

   public void setIfUsePrint(final Integer ifUsePrint) {
      this.ifUsePrint = ifUsePrint;
   }

   public void setImgUrl(final String imgUrl) {
      this.imgUrl = imgUrl;
   }
}
